<template>
  <div v-click-outside="closeModal" id="resetPasswordErrorModal">
    <div class="modal-header">
      <p class="title">{{ $t('auth.reset_password.error_title')}}</p>
    </div>
    <div class="modal-body">
      <p class="success_name"><span class="email">{{ modalData.message }}</span></p>
      <button class="btn-submit" @click="closeModal()">OK</button>
    </div>
  </div>
</template>
<script>
  export default {
    props: {
      modalData: {
        type: Object,
      }
    },
    methods: {
      closeModal() {
        this.$router.push('/reset-password');
        this.$broadcast('close-modal');
      }
    },
  };
</script>
<style lang="scss" scoped>
  @import '../../../../../sass/mobile/typoVariables';
  * {
    font-family: $font-family-home;
  }
  #resetPasswordErrorModal {
    width: 90%;
    max-width: 400rem;
    height: auto;
    min-height: 160rem;
    border-radius: 10px;
    background-color: #f2f2f2;
    box-shadow: 0 2px 40px 0 rgba(0, 0, 0, 0.18);
    margin: auto;
    .modal-header {
      padding: 0;
      border: none;
      position: relative;
      .title {
        font-size: 16rem;
        font-weight: bold;
        color: #1c1c1c;
        text-align: center;
        line-height: 3.13;
        padding: 15rem 0 5rem;
      }
    }
    .modal-body {
      margin: 0;
      padding: 0 20rem;
      text-align: center;
      img {
        width: 70rem;
        height: 70rem;
        margin: 17rem 0;
      }
      p {
        font-size: 14rem;
        font-weight: normal;
        font-style: normal;
        font-stretch: normal;
        line-height: 1.29;
        letter-spacing: normal;
        text-align: center;
        color: #505050;
        margin: 0;
        .email {
          font-weight: bold;
        }
      }
      .btn-submit {
        width: 100rem;
        height: 32rem;
        border-radius: 30px;
        background-color: #fa7300;
        font-size: 12rem;
        font-weight: bold;
        font-style: normal;
        font-stretch: normal;
        line-height: 2.5;
        letter-spacing: 0.5px;
        text-align: center;
        border: none;
        outline: none;
        color: #ffffff;
        margin-top: 16rem;
        cursor: pointer;
      }
    }
  }
</style>

